summaryrefslogtreecommitdiffstats
path: root/ubuntu/_base/applications/settings/tdesudo/debian/preinst
diff options
context:
space:
mode:
authorMichele Calgaro <[email protected]>2021-07-05 00:28:13 +0900
committerMichele Calgaro <[email protected]>2021-07-05 00:28:13 +0900
commit0cf700f49d6437ea21867ae6300c7056eadfbd97 (patch)
treedec8bff7ef4366370de0ad280d6395c363ce1f3f /ubuntu/_base/applications/settings/tdesudo/debian/preinst
parente52d0aefda74071dece63a038079503cdc2cc905 (diff)
downloadtde-packaging-0cf700f49d6437ea21867ae6300c7056eadfbd97.tar.gz
tde-packaging-0cf700f49d6437ea21867ae6300c7056eadfbd97.zip
Rearranged applications folder into sub categories.
Signed-off-by: Michele Calgaro <[email protected]>
Diffstat (limited to 'ubuntu/_base/applications/settings/tdesudo/debian/preinst')
-rw-r--r--ubuntu/_base/applications/settings/tdesudo/debian/preinst54
1 files changed, 54 insertions, 0 deletions
diff --git a/ubuntu/_base/applications/settings/tdesudo/debian/preinst b/ubuntu/_base/applications/settings/tdesudo/debian/preinst
new file mode 100644
index 000000000..cb6630fa0
--- /dev/null
+++ b/ubuntu/_base/applications/settings/tdesudo/debian/preinst
@@ -0,0 +1,54 @@
+#! /bin/sh
+
+set -e
+
+package_name=tdesudo-trinity
+
+if [ -z "$package_name" ]; then
+ print >&2 "Internal Error. Please report a bug."
+ exit 1;
+fi
+
+case "$1" in
+ install)
+ # remove old diversions if present
+ divert=`dpkg-divert --listpackage "/usr/trinity/bin/kdesu"`
+ if [ -n "$divert" ] && [ "$divert" = "kdesudo-trinity" ]; then
+ dpkg-divert --remove --package kdesudo-trinity --rename /usr/trinity/bin/kdesu
+ fi
+ divert=`dpkg-divert --listpackage "/opt/trinity/bin/kdesu"`
+ if [ -n "$divert" ] && [ "$divert" = "kdesudo-trinity" ]; then
+ dpkg-divert --remove --package kdesudo-trinity --rename /opt/trinity/bin/kdesu
+ fi
+
+ # add new diversion
+ dpkg-divert --package $package_name \
+ --divert /opt/trinity/bin/tdesu.distrib \
+ --rename /opt/trinity/bin/tdesu
+ ;;
+
+ upgrade)
+ # remove old diversion if present
+ divert=`dpkg-divert --listpackage "/usr/trinity/bin/tdesu"`
+ if [ -n "$divert" ] && [ "$divert" = "$package_name" ]; then
+ dpkg-divert --remove --package $package_name --rename "/usr/trinity/bin/tdesu"
+ fi
+
+ # add new diversion
+ divert=`dpkg-divert --listpackage "/opt/trinity/bin/tdesu"`
+ if [ -z "$divert" ]; then
+ dpkg-divert --package $package_name \
+ --divert /opt/trinity/bin/tdesu.distrib \
+ --rename /opt/trinity/bin/tdesu
+ fi
+ ;;
+
+ abort-upgrade)
+ ;;
+ *) echo "$0: didn't understand being called with \`$1'" 1>&2
+ exit 0;;
+esac
+
+#DEBHELPER#
+
+exit 0